Bug 238682 - lang/gcc6-aux: depends on to-be-removed gets
Summary: lang/gcc6-aux: depends on to-be-removed gets
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Eric Turgeon
URL:
Keywords:
Depends on:
Blocks: 222796
  Show dependency treegraph
 
Reported: 2019-06-18 13:47 UTC by Ed Maste
Modified: 2019-09-01 16:02 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ericbsd)


Attachments
gcc6-aux-no-gets (3.10 KB, patch)
2019-09-01 15:41 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-06-18 13:47:20 UTC
I intend to remove gets(3) in the near future and lang/gcc6-aux is the one significant port that fails to build reported by the most recent exp-run.

See ports r478722 for a change for the main gcc ports for this issue.
Comment 1 Ed Maste freebsd_committer 2019-07-05 16:11:23 UTC
Eric can you take the no-gets patch from the main GCC ports and apply it to gcc-aux?

https://svnweb.freebsd.org/ports/head/lang/gcc7/files/patch-gets-no-more?view=log&pathrev=478722
Comment 2 Li-Wen Hsu freebsd_committer 2019-09-01 15:41:11 UTC
Created attachment 207067 [details]
gcc6-aux-no-gets

the patch builds fine in poudriere {11.3, 12.0} x {amd64, i386}
Comment 3 commit-hook freebsd_committer 2019-09-01 16:02:23 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Sep  1 16:01:50 UTC 2019
New revision: 510704
URL: https://svnweb.freebsd.org/changeset/ports/510704

Log:
  Disable the build/use of libssp/gets-chk since FreeBSD 12 and later
  do not feature gets() any longer.

  PR:		238682
  Submitted by:	emaste
  Approved by:	maintainer timeout
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lang/gcc6-aux/Makefile.version
  head/lang/gcc6-aux/files/patch-gets-no-more